# nécessite la bibliothèque pyserial :
# pip3 install pyserial dans la console de Thonny par ex.
# ici la température seuil est choisie à 18°C. Modifier si nécessaire.

from serial import Serial
from time import sleep

port_serie = Serial(port="COM1", baudrate=9600, timeout=1, writeTimeout=1)

chaine = ""
messageEnvoye = False  # prendra la valeur True quand un message aura été envoyé

if port_serie.isOpen():
  while True:
    ligne = port_serie.readline()
    chaine = str(ligne,"utf-8").strip('\r\n') # enlève les caractères spéciaux 
    sleep(1)    # le délai d'attente doit être le même que celui du code Arduino
    print(chaine)
    if ((chaine < '18') and (messageEnvoye == False)) :
      envoyerMessage(chaine)
      messageEnvoye = True
    elif ((chaine >= '18') and (messageEnvoye == True)):
      messageEnvoye = False